const WalletBoldIcon = ({ width, height, className }: { width?: number; height?: number; className?: string }) => {
  return (
    <svg
      width={width}
      height={height}
      className={className}
      viewBox='0 0 24 24'
      fill='none'
      xmlns='http://www.w3.org/2000/svg'
    >
      <path
        d='M21.4499 13.64V14.64C21.4499 14.91 21.2399 15.13 20.9599 15.14H19.4999C18.9699 15.14 18.4899 14.75 18.4499 14.23C18.4199 13.92 18.5399 13.63 18.7399 13.43C18.9199 13.24 19.1699 13.14 19.4399 13.14H20.9499C21.2399 13.15 21.4499 13.37 21.4499 13.64Z'
        fill='currentColor'
      />
      <path
        d='M17.99 12.69C17.49 13.18 17.25 13.91 17.45 14.67C17.71 15.6 18.62 16.19 19.58 16.19H20.45C21 16.19 21.45 16.64 21.45 17.19V17.38C21.45 19.45 19.76 21.14 17.69 21.14H6.20995C4.13995 21.14 2.44995 19.45 2.44995 17.38V10.65C2.44995 9.42001 3.03995 8.33001 3.94995 7.65001C4.57995 7.17001 5.35995 6.89001 6.20995 6.89001H17.69C19.76 6.89001 21.45 8.58001 21.45 10.65V11.09C21.45 11.64 21 12.09 20.45 12.09H19.43C18.87 12.09 18.36 12.31 17.99 12.69Z'
        fill='currentColor'
      />
      <path
        d='M16.2001 4.82C16.4701 5.09 16.2401 5.51 15.8601 5.51L8.18006 5.5C7.74006 5.5 7.51006 4.96 7.83006 4.65L9.45006 3.02C10.8201 1.66 13.0401 1.66 14.4101 3.02L16.1601 4.79C16.1701 4.8 16.1901 4.81 16.2001 4.82Z'
        fill='currentColor'
      />
    </svg>
  );
};

export default WalletBoldIcon;
